'use strict';

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var FirebaseDatabaseWrapper = function () {
  function FirebaseDatabaseWrapper(_ref) {
    var database = _ref.database;

    _classCallCheck(this, FirebaseDatabaseWrapper);

    this.db = database;
  }

  // get gets a value from the database


  _createClass(FirebaseDatabaseWrapper, [{
    key: 'get',
    value: function get(path) {
      return this.db.ref(path).once('value').then(function (snapshot) {
        return snapshot.val();
      });
    }

    // set sets a value in the database

  }, {
    key: 'set',
    value: function set(path, val) {
      return this.db.ref(path).set(val);
    }

    // push adds a new value to the database and the new value's key

  }, {
    key: 'push',
    value: function push(path, val) {
      var _db$ref$push = this.db.ref(path).push(),
          key = _db$ref$push.key;

      return this.db.ref().update(_defineProperty({}, path + '/' + key, val)).then(function () {
        return key;
      });
    }
  }]);

  return FirebaseDatabaseWrapper;
}();

module.exports = FirebaseDatabaseWrapper;
